Librecat is a ask.fm/curiouscat clone but FLOSS. It tries to be as minimal as possible while being a comfortable alternative to those mentioned while not using JS (at least for default theme).

It's PHP based, only depending on the sqlite3 php extension.

# Features

- Fancy URL handling (opt-in)
- Social media response posting (mastodon API and Twitter support)
- Custom theme support
- No JS used by default

# URL Rewrites

URL Rewrites are optional, but recommended for a more polished look. They can be activated in ```include/config.php``` with proper http server rewrite rules configurations.

For now there's only Nginx implementation of those. Feel free to contribute since they're a little messy (but they work as expected)

## Nginx

``` nginx
rewrite ^/$                 /index.php          last;
rewrite ^/(.*).php$         /$1.php             last;
rewrite ^/(.*).css$         /$1.css             last;
rewrite ^/user/(.*)?(.*)    /user.php?q=$1&$2   last;
rewrite ^/user/(.*)         /user.php?q=$1      last;
rewrite ^/config/(.*)$      /config.php?q=$1    last;
rewrite ^/(.*)\.(.*)$       /$1.$2              last;
rewrite ^/(.*)$             /$1.php             last;
```

# Contributing

Pull requests and issues are welcome
